vnfd:
  description: A basic virtual router
  df:
  - id: default-df
    instantiation-level:
    - id: default-instantiation-level
      vdu-level:
      - number-of-instances: 1
        vdu-id: vyos-VM
    vdu-profile:
    - id: vyos-VM
      min-number-of-instances: 1
    vnf-configuration-id: default-vnf-configuration
  ext-cpd:
  - id: vnf-mgmt-ext
    int-cpd:
      cpd: vdu-eth0-int
      vdu-id: vyos-VM
  - id: vnf-internal-ext
    int-cpd:
      cpd: vdu-eth1-int
      vdu-id: vyos-VM
  - id: vnf-external-ext
    int-cpd:
      cpd: vdu-eth2-int
      vdu-id: vyos-VM
  id: hackfest_vyos-vnf
  mgmt-cp: vnf-mgmt-ext
  product-name: hackfest_vyos-vnf
  sw-image-desc:
  - id: vyos-1.1.7
    image: vyos-1.1.7
    name: vyos-1.1.7
  vdu:
  - cloud-init-file: vyos-userdata
    id: vyos-VM
    int-cpd:
    - id: vdu-eth0-int
      virtual-network-interface-requirement:
      - name: vdu-eth0
        position: 0
        virtual-interface:
          type: PARAVIRT
    - id: vdu-eth1-int
      virtual-network-interface-requirement:
      - name: vdu-eth1
        position: 1
        virtual-interface:
          type: PARAVIRT
    - id: vdu-eth2-int
      virtual-network-interface-requirement:
      - name: vdu-eth2
        position: 2
        virtual-interface:
          type: PARAVIRT
    name: vyos-VM
    supplemental-boot-data:
      boot-data-drive: true
    sw-image-desc: vyos-1.1.7
    virtual-compute-desc: vyos-VM-compute
    virtual-storage-desc:
    - vyos-VM-storage
  version: 1.0
  virtual-compute-desc:
  - id: vyos-VM-compute
    virtual-cpu:
      num-virtual-cpu: 1
    virtual-memory:
      size: 2.0
  virtual-storage-desc:
  - id: vyos-VM-storage
    size-of-storage: 10
  vnf-configuration:
  - config-primitive:
    - name: configure-remote
      parameter:
      - data-type: STRING
        default-value: 0.0.0.0
        name: magmaIP
    id: default-vnf-configuration
    config-access:
      ssh-access:
        default-user: osm
        required: true
    initial-config-primitive:
    - name: config
      parameter:
      - name: ssh-username
        value: osm
      - name: ssh-password
        value: osm2020
      - name: ssh-hostname
        value: <rw_mgmt_ip>
      seq: 1
    juju:
      charm: vyos-config
      #cloud: k8s